Skip to main content
GET
/
lucca-api
/
employee-personal-records
/
{id}
Retrieve an employee-personal-record
curl --request GET \
  --url https://{host}/lucca-api/employee-personal-records/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "897",
  "type": "employee-personal-record",
  "url": "https://example.ilucca.net/lucca-api/employee-personal-records/897",
  "employee": {
    "id": "416",
    "type": "employee",
    "url": "https://example.ilucca.net/lucca-api/employees/416"
  },
  "title": "mister",
  "legalGender": "male",
  "birthDate": "1989-12-21",
  "insuranceNumber": {
    "format": "frenchSSN",
    "value": "1760774865895 37"
  },
  "nationalitiesCountryCodes": [
    "FRA"
  ],
  "bankAccount": {
    "format": "iban",
    "bankName": "BNP Paribas",
    "accountIdentifier": "FR7630006000011234567890189",
    "bankIdentifier": null
  },
  "phoneNumber": "+33456789634",
  "email": "jdoe13@gmail.com",
  "links": {},
  "embedded": {
    "employee": {
      "416": {
        "id": "416",
        "type": "employee",
        "url": "https://example.ilucca.net/lucca-api/employees/416",
        "remoteId": "00002345",
        "portrait": {
          "id": "66512232",
          "type": "portrait",
          "url": "https://example.ilucca.net/lucca-api/portraits/66512232"
        },
        "givenName": "Edward",
        "familyName": "Atkinson",
        "employeeNumber": "E000124",
        "status": "active",
        "email": "eatkinson@acme.corp",
        "birthDay": {
          "day": 22,
          "month": 12
        },
        "phoneNumber": "+33145784512",
        "applicableEmployment": {
          "id": "154",
          "type": "employment",
          "url": "https://example.ilucca.net/lucca-api/employments/154"
        },
        "applicableJobPosition": {
          "id": "74",
          "type": "job-position",
          "url": "https://example.ilucca.net/lucca-api/job-positions/74"
        },
        "createdAt": "2024-04-15T23:12:54.0001Z",
        "lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
        "links": {
          "portrait": {
            "href": "https://example.ilucca.net/lucca-api/files/66512232?token=eyJhbGciOi"
          },
          "employments": {
            "href": "https://example.ilucca.net/lucca-api/employments?employee.id=416"
          },
          "jobPositions": {
            "href": "https://example.ilucca.net/lucca-api/job-positions?employment.employee.id=416"
          },
          "personalRecord": {
            "href": "https://example.ilucca.net/lucca-api/employee-personal-records?employee.id=416"
          }
        }
      }
    }
  }
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 employee-personal-records.readonly
or
 employee-personal-records.readwrite

EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employee-personal-records belonging to employees whose applicable business-establishments are accessible to you.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the employee-personal-record to retrieve.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An employee-personal-record resource.

id
string
Minimum string length: 1
type
string
Allowed value: "employee-personal-record"
url
string<uri>
employee
employee-reference · object

Reference to an employee resource.

title
enum<string>
default:unknown
  • unknown: Not indicated. Equivalent to a technical null.
  • mister: Either married or unmarried man. French: 'Monsieur'.
  • miss: Unmarried woman. French: 'Mademoiselle'.
Available options:
unknown,
mister,
miss

"Unknown" is equivalent to "unspecified" or "null".

"Diverse" may be legally acknowledged in some countries (e.g. Germany).

Available options:
unknown,
male,
female,
diverse
Example:

"unknown"

birthDate
null | string<date>
Pattern: ^\d{4}-\d{2}-\d{2}$
insuranceNumber
insurance-number · object

Validation depends on selected format. Value for "other" format is not validated.

nationalitiesCountryCodes
enum<string>[]

Array of ISO 3166-1 alpha-3 country codes.

Maximum array length: 1

Three letters ISO 3166-1 alpha-3 country code.

Available options:
FRA,
ESP,
DEU,
CHE,
ITA,
GBR,
USA,
BEL,
CAN,
AFG,
ALA,
ALB,
DZA,
ASM,
AND,
AGO,
AIA,
ATA,
ATG,
ARG,
ARM,
ABW,
AUS,
AUT,
AZE,
BHS,
BHR,
BGD,
BRB,
BLR,
BLZ,
BEN,
BMU,
BTN,
BOL,
BIH,
BWA,
BVT,
BRA,
VGB,
IOT,
BRN,
BGR,
BFA,
BDI,
KHM,
CMR,
CPV,
CYM,
CAF,
TCD,
CHL,
CHN,
HKG,
MAC,
CXR,
CCK,
COL,
COM,
COG,
COD,
COK,
CRI,
CIV,
HRV,
CUB,
CYP,
CZE,
DNK,
DJI,
DMA,
DOM,
ECU,
EGY,
SLV,
GNQ,
ERI,
EST,
ETH,
FLK,
FRO,
FJI,
FIN,
GUF,
PYF,
ATF,
GAB,
GMB,
GEO,
GHA,
GIB,
GRC,
GRL,
GRD,
GLP,
GUM,
GTM,
GGY,
GIN,
GNB,
GUY,
HTI,
HMD,
VAT,
HND,
HUN,
ISL,
IND,
IDN,
IRN,
IRQ,
IRL,
IMN,
ISR,
JAM,
JPN,
JEY,
JOR,
KAZ,
KEN,
KIR,
PRK,
KOR,
KWT,
KGZ,
LAO,
LVA,
LBN,
LSO,
LBR,
LBY,
LIE,
LTU,
LUX,
MKD,
MDG,
MWI,
MYS,
MDV,
MLI,
MLT,
MHL,
MTQ,
MRT,
MUS,
MYT,
MEX,
FSM,
MDA,
MCO,
MNG,
MNE,
MSR,
MAR,
MOZ,
MMR,
NAM,
NRU,
NPL,
NLD,
NCL,
NZL,
NIC,
NER,
NGA,
NIU,
NFK,
MNP,
NOR,
OMN,
PAK,
PLW,
PSE,
PAN,
PNG,
PRY,
PER,
PHL,
PCN,
POL,
PRT,
PRI,
QAT,
REU,
ROU,
RUS,
RWA,
BLM,
SHN,
KNA,
LCA,
MAF,
SXM,
SPM,
VCT,
WSM,
SMR,
STP,
SAU,
SEN,
SRB,
SYC,
SLE,
SGP,
SVK,
SVN,
SLB,
SOM,
ZAF,
SGS,
SSD,
LKA,
SDN,
SUR,
SJM,
SWZ,
SWE,
SYR,
TWN,
TJK,
TZA,
THA,
TLS,
TGO,
TKL,
TON,
TTO,
TUN,
TUR,
TKM,
TCA,
TUV,
UGA,
UKR,
ARE,
UMI,
URY,
UZB,
VUT,
VEN,
VNM,
VIR,
WLF,
ESH,
YEM,
ZMB,
ZWE
Required string length: 3
bankAccount
object

Represents a bank account in any format, including IBAN, SWIFT, and region-specific routing details.

Example:
{
  "format": "iban",
  "bankName": "BNP Paribas",
  "accountIdentifier": "FR7630006000011234567890189",
  "bankIdentifier": null
}
phoneNumber
string<phone> | null

Personal phone number of the employee.

Pattern: ^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$
Example:

"+3356565656"

email
null | string<email>

Personal email address of the employee.

Required string length: 3 - 255
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object

Embeds the representation of resources related to the employee-personal-record(s).

Only returned if requested by the API client: ?include=embedded.